
##################
# variable modification
modification:variable::SYMBOLEXT:ox;MODIFIED:M;DELTAMASS:15.99491463
modification:variable::SYMBOLEXT:cm;MODIFIED:C;DELTAMASS:57.021464

##################
# Fixed modification

##################
# Linear modification
modification:linear::SYMBOLEXT:ebdaloop;MODIFIED:*;DELTAMASS:224.15247784
modification:linear::SYMBOLEXT:ebdaoxid;MODIFIED:*;DELTAMASS:240.147393
modification:linear::SYMBOLEXT:ebdahydro;MODIFIED:*;DELTAMASS:242.163043
modification:linear::SYMBOLEXT:ebdaalkene;MODIFIED:*;DELTAMASS:210.136827
modification:linear::SYMBOLEXT:ebdatris;MODIFIED:*;DELTAMASS:345.226371

##################
# Ions
fragment:BIon
fragment:YIon

##################
# Losses
loss:AminoAcidRestrictedLoss:NAME:H20;aminoacids:S,T,D,E;MASS:18.01056027;cterm
loss:AminoAcidRestrictedLoss:NAME:NH3;aminoacids:R,K,N,Q;MASS:17.02654493;nterm
loss:AminoAcidRestrictedLoss:NAME:CH3SOH;aminoacids:Mox;MASS:63.99828547

##################
# Enzyme
digestion:PostAAConstrainedDigestion:DIGESTED:R,K;ConstrainingAminoAcids:;NAME=Trypsin/P

##################
## how many misscleavages are considered
missedcleavages:3
##################
# Crosslinker
crosslinker:AsymetricSingleAminoAcidRestrictedCrossLinker:Name:EBDAdeany;MASS:224.15247784;FIRSTLINKEDAMINOACIDS:*;SECONDLINKEDAMINOACIDS:D(0),E(0)
crosslinker:AsymetricSingleAminoAcidRestrictedCrossLinker:Name:EBDAkstyany;MASS:224.15247784;FIRSTLINKEDAMINOACIDS:*;SECONDLINKEDAMINOACIDS:K(0),S(0),T(0),Y(0)
crosslinker:AsymetricSingleAminoAcidRestrictedCrossLinker:Name:EBDAavilfwgpany;MASS:224.15247784;FIRSTLINKEDAMINOACIDS:*;SECONDLINKEDAMINOACIDS:A(0),V(0),I(0),L(0),F(0),W(0),G(0),P(0)
crosslinker:AsymetricSingleAminoAcidRestrictedCrossLinker:Name:EBDAnqrhcmany;MASS:224.15247784;FIRSTLINKEDAMINOACIDS:*;SECONDLINKEDAMINOACIDS:N(0),Q(0),R(0),H(0),C(0),M(0)
crosslinker:NonCovalentBound:Name:NonCovalent
##################
# MS1 tolerance
tolerance:precursor:10.0ppm
# MS2 tolerance
tolerance:fragment:20.0ppm


# ---------------------------------------------
# Basic settings
# ---------------------------------------------
#####################
# General settings not directly selectable in the GUI
####################
## include linear matches
EVALUATELINEARS:true

## peptide ion should always be enabled, as otherwise, no standard crosslinked fragments will be matched - also needed for precursor-fragment matches
fragment:PeptideIon

#####################
## Generally neutral loss fragment will have a smaller impact on sub-scores then non-lossy versions of a fragment.
## But some sub-scores (anything called conservative) consider a fragment observed if n neutral losses for that fragment were observed even  if the basic fragment is not
## This defines how many neutral loss fragments are needed to make a fragment count as observed
ConservativeLosses:3

####################
# if this is set to true also fragment matches are reported that are of by 1 Dalton
MATCH_MISSING_MONOISOTOPIC:true

####################
## how many peaks to consider for alpha-peptide-search
mgcpeaks:10

###################
### Candidate selection
## Scoring happens in three stages
## alpha candidates are selected and scored
## top n alpha candidates are taken and all matching beta-candidates will be selected and pre-scored
## the top X of these are then fully matched and scored
## how many "alpha" peptide candidates will be considered for finding beta candidates
topmgchits:150

## how many combinations of alpha and beta peptides will be considered for final scoring
topmgxhits:10

####################
## define a minimum peptide length (default 2)
#MINIMUM_PEPTIDE_LENGTH:6
#####################
## IO-settings - for improving the parallel processing it's better to do some buffering
## this reduces the time threads potentially have to wait for spectra to be searched (BufferInput)
## or to be written out (BufferOutput).
BufferInput:100
BufferOutput:100

#####################
## Only write out the top match per spectrum
TOPMATCHESONLY:true

#####################
## maximum mass of a peptide to be considered for fragmentation
#MAXPEPTIDEMASS:5000
#####################
## some limits for generating modified peptides
MAX_MODIFICATION_PER_PEPTIDE:3
MAX_MODIFIED_PEPTIDES_PER_PEPTIDE:20

####################
##If the top-match for a spectra has a score lower than this, the spectra and all of its matches are not reported
#MINIMUM_TOP_SCORE:0
#########################################
## what fragment tree to use
## default: the default tree
## FU: uses a fastutil based implementation of the fragment-tree and conserve a lot of memory doing so.
## searching a few hundred proteins is then possible with just 8GB
FRAGMENTTREE:FU

#########################################
## we need the run name and scan number for a spectrum
## but mgf-files have that info (if at all) in the TITLE line
## and it is not exactly defined how that is stored
## some mgf-files that we have encountered are already recognized for others
## the following to regular expressions can be defined to read out scan number and run
## if both are supplied these will be first tried before the internal automatic will be used
## the scan number and the raw file need to be in the first capturing group
## Example:
## the mgf contains headers like:
## TITLE= Elution from: -1.0 to -1.0 period:  experiment:  cycles:  precIntensity: -1.0 RawFile: myrawfile FinneganScanNumber: 14846
## then the regular expressions should be defined as
## SCAN_RE: .*FinneganScanNumber:\s*([0-9]*)\s*
## RUN_RE: .*RawFile:\s*(.*)FinneganScanNumber:
##
## xiSEARCH comes with a range of know regular mgf-title formats but there are a lot
## more formats out there. So if you encounter an error that the file is not known try this.
##
#SCAN_RE:
#RUN_RE:
#########################################
## for a fragment up to how many neutral losses for that fragment are considered
#MAXTOTALLOSSES:
#########################################
## for each type of loss up to how often is that considered for a single fragment
#MAXLOSSES:
#########################################
## if a spectrum comes with a list of predefined masses for the peptides
## take these as the exclusively accepted masses or just give them priority?
#XL_Peptide_Mass_Candidates_Exclusive:false
########################################
## the normalized score by default ignores sub-scores that are not defined
## with this setting the missing score can be replaced by a different score
## this replacement would be replacement for the normalized score and the most
## sensible replacement I could see would be "1".
##
normalizerml_defaultsubscorevalue:1

########################################
##InputFIlter that modify the spectra before search
##
##DENOISE
## very beta - don't use
## denoise the spectra prior search (default top 20 peaks per 100 Da are kept
#FILTER:denoise:peaks:15;window:100
########################################
## consider also matches to a precursor mass that
## are up to n Dalton (actually n*1.00335 Da) lighter
## this would account for missing isotope peaks in the MS1
missing_isotope_peaks:2

#####################
## how many cpus to use
## values smaller 0 mean that all avaiblable but the mentioned number will be used
## e.g. if the computer has 4 cores and UseCPUs is set to -1 then 3 threads are used for search.
## this is a bit relativated by the buffering, as buffers also use threads to decouple the input and output of the buffer.
## each thread will also have a small buffer between itself and the input and the output queue - but the overal cpu-usage of these should be smallish
UseCPUs:20

# ---------------------------------------------

# Custom Settings
# ---------------------------------------------
# this is a free text field 
# anything starting with '#' is ignored 
# everything else is passed on as search-parameter 
# click the '+' to see available templates 
# ---------------------------------------------
# Custom Settings
# ---------------------------------------------
# this is a free text field
# anything starting with '#' is ignored
# everything else is passed on as search-parameter
# click the '+' to see available templates
# ---------------------------------------------
# Custom Settings
# ---------------------------------------------
# this is a free text field
# anything starting with '#' is ignored
# everything else is passed on as search-parameter
# click the '+' to see available templates
# ---------------------------------------------
# Custom Settings
# ---------------------------------------------
# this is a free text field
# anything starting with '#' is ignored
# everything else is passed on as search-parameter
# click the '+' to see available templates
####################
## define a minimum peptide length (default 2)
MINIMUM_PEPTIDE_LENGTH:6
#####################
## maximum mass of a peptide to be considered for fragmentation
MAXPEPTIDEMASS:5000
